<?php
namespace Modules\Fornecimento\Modules\AutorizacaoFornecimento\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request\Row as Row;
use \Setforms2\Shared\ORM\DateTime;
use Exception;

class AcompanhamentoAprovacaoController {
    protected $service;
    
    public function __construct($service) {
        $this->service = $service;
    }
    
    public function salvaAnexoGrid(DTO\Request\Row $row, DTO\Response $response)
    {
        try {
            $row  = $row->getRow();
            
            $this->service->salvaAnexoGrid($row);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function deleteAnexoGrid(DTO\Request\DataSet $dataset, DTO\Response $response)
    {
        try {
            $rows = $dataset->getDataSet()->getRows();
            
            $this->service->deleteAnexoGrid($rows);
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function getFileServerUrl(DTO\Request\Row $request, DTO\Response $response)
    {
        try {
            $fileName = $this->service->getFileServerUrl();
            
            $response->addDataset(new DataSet('sucess', array("fileName" => $fileName)));
        } catch(\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function downloadArquivoAnexoFileServerSup(Row $dataset, Response $response) 
    {
        try {
            $row = $dataset->getRow();
            $arquivo = $row['PATH'];
            $fileName = $row['NMARQUIVO'];
            
            $this->service->downloadArquivoAnexoFileServerSup($arquivo, $fileName);
        } catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}    