<?php

abstract class DaoContato extends TkModelEntity
{

    /**
     * Defines the characteristics of the table and its columns
     * 
     * @see    Doctrine_Record_Abstract::setTableDefinition()
     * 
     * @return void
     * 
     */
    public function setTableDefinition()
    {
        $this->setTableName('CONTATO');
        $this->hasColumn(
                'CDFILIAL',
                'varchar',
                4,
        				array(
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'length' => '4',
        				 'primary' => true,
        				)
        		);
        $this->hasColumn(
                'NRCONTATO',
                'varchar',
                10,
        				array(
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'length' => '10',
        				 'primary' => true,
        				)
        		);
        $this->hasColumn(
                'CDMOTICONT',
                'varchar',
                2,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '2',
        				)
        		);
        $this->hasColumn(
                'CDCLIENTE',
                'varchar',
                21,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '21',
        				)
        		);
        $this->hasColumn(
                'NRLICENCAUSO',
                'varchar',
                10,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '10',
        				)
        		);
        $this->hasColumn(
                'DTHRCONTATO',
                'timestamp',
                7,
        				array(
        				 'notnull' => true,
        				 'type' => 'timestamp',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '7',
        				)
        		);
        $this->hasColumn(
                'DSREFECONT',
                'varchar',
                60,
        				array(
        				 'notnull' => true,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '60',
        				)
        		);
        $this->hasColumn(
                'IDSTATUSCONT',
                'varchar',
                1,
        				array(
        				 'notnull' => true,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '1',
        				)
        		);
        $this->hasColumn(
                'CDFORNECED',
                'varchar',
                21,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '21',
        				)
        		);
        $this->hasColumn(
                'CDPROSPECT',
                'varchar',
                21,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '21',
        				)
        		);
        $this->hasColumn(
                'IDTPCONTATO',
                'varchar',
                1,
        				array(
        				 'notnull' => true,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '1',
        				)
        		);
        $this->hasColumn(
                'DTHRCONCCONT',
                'timestamp',
                7,
        				array(
        				 'notnull' => false,
        				 'type' => 'timestamp',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '7',
        				)
        		);
        $this->hasColumn(
                'CDSITUACAO',
                'varchar',
                20,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '20',
        				)
        		);
        $this->hasColumn(
                'CDVENDEDOR',
                'varchar',
                4,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '4',
        				)
        		);
        $this->hasColumn(
                'CDSISTEMA',
                'varchar',
                8,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '8',
        				)
        		);
        $this->hasColumn(
                'QTSEGAVISCON',
                'number',
                15,
        				array(
        				 'notnull' => false,
        				 'type' => 'number',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '15',
        				 'scale' => '0',
        				)
        		);
        $this->hasColumn(
                'CDOPERCONT',
                'varchar',
                12,
        				array(
        				 'notnull' => true,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '12',
        				)
        		);
        $this->hasColumn(
                'CDOPCONCCONT',
                'varchar',
                12,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '12',
        				)
        		);
        $this->hasColumn(
                'CDASSUNTO',
                'varchar',
                5,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '5',
        				)
        		);
        $this->hasColumn(
                'IDCONTAPROV',
                'varchar',
                1,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '1',
        				)
        		);
        $this->hasColumn(
                'DTULTATUCOTA',
                'timestamp',
                7,
        				array(
        				 'notnull' => false,
        				 'type' => 'timestamp',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '7',
        				)
        		);
        $this->hasColumn(
                'CDMTENCECONT',
                'varchar',
                5,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '5',
        				)
        		);
        $this->hasColumn(
                'NRORG',
                'number',
                null,
        				array(
        				 'type' => 'number',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'primary' => true,
        				)
        		);
        $this->hasColumn(
                'DTINCLUSAO',
                'timestamp',
                7,
        				array(
        				 'notnull' => true,
        				 'type' => 'timestamp',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '7',
        				)
        		);
        $this->hasColumn(
                'DTULTATU',
                'timestamp',
                7,
        				array(
        				 'notnull' => false,
        				 'type' => 'timestamp',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '7',
        				)
        		);
        $this->hasColumn(
                'NRORGINCLUSAO',
                'number',
                null,
        				array(
        				 'notnull' => false,
        				 'type' => 'number',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				)
        		);
        $this->hasColumn(
                'CDOPERINCLUSAO',
                'varchar',
                12,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '12',
        				)
        		);
        $this->hasColumn(
                'NRORGULTATU',
                'number',
                null,
        				array(
        				 'notnull' => false,
        				 'type' => 'number',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				)
        		);
        $this->hasColumn(
                'CDOPERULTATU',
                'varchar',
                12,
        				array(
        				 'notnull' => false,
        				 'type' => 'varchar',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				 'length' => '12',
        				)
        		);
        $this->hasColumn(
                'NRPARCNEGOCIO',
                'number',
                null,
        				array(
        				 'notnull' => false,
        				 'type' => 'number',
        				 'fixed' => false,
        				 'unsigned' => false,
        				 'default' => false,
        				)
        		);
    }

    /**
     * Define the relations of the table .
     * 
     * @see TkModel::setUp()
     * 
     * @return void
     * 
     */
    public function setUp()
    {
        parent::setUp();
		//        $this->hasOne('Parcnegocio', array(
//             'local' => array(
//             0 => 'NRPARCNEGOCIO',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'NRPARCNEGOCIO',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Filial', array(
//             'local' => array(
//             0 => 'CDFILIAL',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDFILIAL',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Moticont', array(
//             'local' => array(
//             0 => 'CDMOTICONT',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDMOTICONT',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Cliente', array(
//             'local' => array(
//             0 => 'CDCLIENTE',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDCLIENTE',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Licencauso', array(
//             'local' => array(
//             0 => 'CDCLIENTE',
//             1 => 'NRLICENCAUSO',
//             2 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDCLIENTE',
//             1 => 'NRLICENCAUSO',
//             2 => 'NRORG',
//             )));
//
//        $this->hasOne('Fornecedor', array(
//             'local' => array(
//             0 => 'CDFORNECED',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDFORNECED',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Prospect', array(
//             'local' => array(
//             0 => 'CDPROSPECT',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDPROSPECT',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Vendedor', array(
//             'local' => array(
//             0 => 'CDVENDEDOR',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDVENDEDOR',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Bancsolu', array(
//             'local' => array(
//             0 => 'CDSITUACAO',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDSITUACAO',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Sistema', array(
//             'local' => array(
//             0 => 'CDSISTEMA',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDSISTEMA',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Operador', array(
//             'local' => array(
//             0 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'NRORG',
//             )));
//
//        $this->hasOne('Operador as Operador_12', array(
//             'local' => array(
//             0 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'NRORG',
//             )));
//
//        $this->hasOne('Assunto', array(
//             'local' => array(
//             0 => 'CDASSUNTO',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDASSUNTO',
//             1 => 'NRORG',
//             )));
//
//        $this->hasOne('Motiencecont', array(
//             'local' => array(
//             0 => 'CDMTENCECONT',
//             1 => 'NRORG',
//             ),
//             'foreign' => array(
//             0 => 'CDMTENCECONT',
//             1 => 'NRORG',
//             )));
    }

    /**
     * 
     */
    public function preInsert($event)
    {
        parent::preInsert($event);
    }

    /**
     * 
     */
    public function preUpdate($event)
    {
        parent::preUpdate($event);
    }


}